# MultipleCandidatesDetails

interface MultipleCandidatesDetails<T>

Provides context about candidates for an attribute. In particular, this class gives access to the list of candidates on the producer side.

#### Since

3.3

#### Parameters

<T>

the concrete type of the attribute

## Functions

closestMatch
Link copied to clipboard
abstract fun closestMatch(candidate: T)
Calling this method indicates that the candidate is the closest match.
getCandidateValues
Link copied to clipboard
abstract fun getCandidateValues(): Set<T>
A set of candidate values.
getConsumerValue
Link copied to clipboard
@Nullable
abstract fun getConsumerValue(): @Nullable T
Returns the value of the attribute specified by the consumer.